Get warning count from last operation

- « RowResult::getWarnings

- mysql_xdevapi\Schema »

- PHP Manual
- mysql_xdevapi\RowResult
- Get warning count from last operation

# RowResult::getWarningsCount

(No version information available, might only be in Git)

RowResult::getWarningsCount — Get warning count from last operation

### Description

public mysql_xdevapi\RowResult::getWarningsCount(): int

Retrieve the number of warnings from the last RowResult operation.

### Parameters

This function has no parameters.

### Return Values

The number of warnings generated by the last operation.

### Examples

Example #1 mysql_xdevapi\RowResult::getWarningsCount() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $session->sql("DROP DATABASE IF EXISTS foo")->execute();
    $session->sql("CREATE DATABASE foo")->execute();
    $session->sql("CREATE TABLE foo.test_table(x int)")->execute();

    $schema = $session->getSchema("foo");
    $table  = $schema->getTable("test_table");

    $table->insert(['x'])->values([1])->values([2])->execute();

    $res = $table->select(['x/0 as bad_x'])->execute();

    echo $res->getWarningsCount();
    ?>

The above example will output something similar to:

    2